#include "Class.h"
#include "olcPixelGameEngine.h"
#include "DEFINES.h"
#include "Player.h"
#include "Effect.h"
#include "Crawler.h"

INCLUDE_MONSTER_LIST
INCLUDE_BULLET_LIST
INCLUDE_game

std::string Thief::name="Thief";
Class Thief::cl=THIEF;
Ability Thief::rightClickAbility={"???",15,0,VERY_DARK_BLUE,DARK_BLUE};
Ability Thief::ability1={"???",12,40};
Ability Thief::ability2={"???",15,50};
Ability Thief::ability3={"???",40,60};
Ability Thief::ability4={"???",0,0};
AnimationState Thief::idle_n=WARRIOR_IDLE_N;
AnimationState Thief::idle_e=WARRIOR_IDLE_E;
AnimationState Thief::idle_s=WARRIOR_IDLE_S;
AnimationState Thief::idle_w=WARRIOR_IDLE_W;
AnimationState Thief::walk_n=WARRIOR_WALK_N;
AnimationState Thief::walk_e=WARRIOR_WALK_E;
AnimationState Thief::walk_s=WARRIOR_WALK_S;
AnimationState Thief::walk_w=WARRIOR_WALK_W;

SETUP_CLASS(Thief)

void Thief::OnUpdate(float fElapsedTime){

}

bool Thief::AutoAttack(){
    return false;
}
void Thief::InitializeClassAbilities(){
    #pragma region Thief Right-click Ability (???)
        Thief::rightClickAbility.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Thief Ability 1 (???)
        Thief::ability1.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Thief Ability 2 (???)
        Thief::ability2.action=
            [&](){
                return false;
            };
    #pragma endregion
    #pragma region Thief Ability 3 (???)
        Thief::ability3.action=
            [&](){
                return false;
            };
    #pragma endregion
}